﻿namespace Amazon.Checkout.ViewModels
{
    using System.Collections.Generic;
    using Models;

    public class SiteSettingsViewModel
    {
        public string MerchantId { get; set; }

        public string AwsAccessKeyId { get; set; }

        public string SecretKeyId { get; set; }

        public string AssociateTag { get; set; }

        public int? PromotionId { get; set; }

        public int? TaxId { get; set; }

        public string CurrencyCode { get; set; }

        public string LengthUnitOfMeasure { get; set; }

        public string VolumeUnitOfMeasure { get; set; }
        
        public string WeightUnitOfMeasure { get; set; }

        public string JewelryWeightUnitOfMeasure { get; set; }

        public string DegreeUnitOfMeasure { get; set; }

        public string MemorySizeUnitOfMeasure { get; set; }
        
        public string FrequencyUnitOfMeasure { get; set; }

        public string AmperageUnitOfMeasure { get; set; }

        public string TimeUnitOfMeasure { get; set; }
        
        public string DateUnitOfMeasure { get; set; }

        public string AssemblyTimeUnitOfMeasure { get; set; }
        
        public string AgeRecommendedUnitOfMeasure { get; set; }
        
        public string BatteryPowerUnitOfMeasure { get; set; }
        
        public string VoltageUnitOfMeasure { get; set; }
        
        public string WattageUnitOfMeasure { get; set; }
        
        public string TemperatureRatingUnitOfMeasure { get; set; }
        
        public string ClothingSizeUnitOfMeasure { get; set; }

        public IEnumerable<PromotionRecord> Promotions { get; set; }
    }
}
