namespace Amazon.Checkout.Controllers
{
    using System.Web.Mvc;

    using Orchard.Themes;

    using ViewModels;

    [Themed]
    public class ResultsController : Controller 
    {
        public ActionResult ThankYou(string amznPmtsOrderIds, string amznPageSource, string showAmznPmtsTyPopup, string merchName, string amznPmtsYALink)
        {
            var viewModel = new AmazonThankYouViewModel {
                OrderIds = amznPmtsOrderIds,
                PageSource = amznPageSource,
                MerchantName = merchName,
                AccountUrl = amznPmtsYALink,
                ShowAmznPmtsTYPopup = showAmznPmtsTyPopup
            };

            return View(viewModel);
        }        
    }
}